<?php

use kernel\App;
use kernel\CgRouteCollector;
use Phroute\Phroute\RouteCollector;

App::$collector->group(["prefix" => "admin"], function (CgRouteCollector $router) {
    App::$collector->group(["prefix" => "tag"], function (CGRouteCollector $router){
        App::$collector->get('/', [\app\modules\tag\controllers\TagController::class, 'actionIndex']);
        App::$collector->get('/page/{page_number}', [\app\modules\tag\controllers\TagController::class, 'actionIndex']);
        App::$collector->get('/create', [\app\modules\tag\controllers\TagController::class, 'actionCreate']);
        App::$collector->post("/", [\app\modules\tag\controllers\TagController::class, 'actionAdd']);
        App::$collector->get('/{id}', [\app\modules\tag\controllers\TagController::class, 'actionView']);
        App::$collector->any('/update/{id}', [\app\modules\tag\controllers\TagController::class, 'actionUpdate']);
        App::$collector->any("/edit/{id}", [\app\modules\tag\controllers\TagController::class, 'actionEdit']);
        App::$collector->get('/delete/{id}', [\app\modules\tag\controllers\TagController::class, 'actionDelete']);
    });
});